[24002] in Source-Commits
/svn/athena r23611 - in trunk/debathena/debathena/firefox-wrapper: . debian
daemon@ATHENA.MIT.EDU (Robert A Basch)
Fri Mar 13 19:05:52 2009
Date: Fri, 13 Mar 2009 19:05:41 -0400
From: Robert A Basch <rbasch@MIT.EDU>
Message-Id: <200903132305.n2DN5fUO028213@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: rbasch
Date: 2009-03-13 19:05:41 -0400 (Fri, 13 Mar 2009)
New Revision: 23611
Modified:
trunk/debathena/debathena/firefox-wrapper/debian/changelog
trunk/debathena/debathena/firefox-wrapper/debian/control.in
trunk/debathena/debathena/firefox-wrapper/firefox.sh
Log:
In firefox-wrapper:
* Handle net 127 IP addresses in profile lock symlink.
* Remove setting of plugin path.
* Remove configuring fontconfig for MathML fonts in infoagents
locker (which should no longer be used, and do not seem to work
anyway).
* Remove attaching of lockers (infoagents, acro); these should
not be used anymore.
* Update dependencies: add bind9-host, remove debathena-attach
Modified: trunk/debathena/debathena/firefox-wrapper/debian/changelog
===================================================================
--- trunk/debathena/debathena/firefox-wrapper/debian/changelog 2009-03-13 22:43:03 UTC (rev 23610)
+++ trunk/debathena/debathena/firefox-wrapper/debian/changelog 2009-03-13 23:05:41 UTC (rev 23611)
@@ -1,3 +1,16 @@
+debathena-firefox-wrapper (10.0.6) unstable; urgency=low
+
+ * Handle net 127 IP addresses in profile lock symlink.
+ * Remove setting of plugin path.
+ * Remove configuring fontconfig for MathML fonts in infoagents
+ locker (which should no longer be used, and do not seem to work
+ anyway).
+ * Remove attaching of lockers (infoagents, acro); these should
+ not be used anymore.
+ * Update dependencies: add bind9-host, remove debathena-attach
+
+ -- Robert Basch <rbasch@mit.edu> Fri, 13 Mar 2009 17:59:18 -0400
+
debathena-firefox-wrapper (10.0.5) unstable; urgency=low
* Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
Modified: trunk/debathena/debathena/firefox-wrapper/debian/control.in
===================================================================
--- trunk/debathena/debathena/firefox-wrapper/debian/control.in 2009-03-13 22:43:03 UTC (rev 23610)
+++ trunk/debathena/debathena/firefox-wrapper/debian/control.in 2009-03-13 23:05:41 UTC (rev 23611)
@@ -7,7 +7,7 @@
Package: debathena-firefox-wrapper
Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, zenity, debathena-attach
+Depends: ${shlibs:Depends}, ${misc:Depends}, iceweasel | firefox, zenity, bind9-host
Description: Wrapper to configure Mozilla Firefox for Debathena
This package provides a wrapper for the stock Mozilla Firefox web
browser. It handles disposing of stale profile locks, as well as
Modified: trunk/debathena/debathena/firefox-wrapper/firefox.sh
===================================================================
--- trunk/debathena/debathena/firefox-wrapper/firefox.sh 2009-03-13 22:43:03 UTC (rev 23610)
+++ trunk/debathena/debathena/firefox-wrapper/firefox.sh 2009-03-13 23:05:41 UTC (rev 23611)
@@ -8,24 +8,10 @@
# Profile directory's parent.
prof_parent=$HOME/.mozilla/firefox
-# The following lockers need to be attached to run plugins and helper
-# applications.
-lockers="infoagents acro"
-
# testlock is used to test whether the profile directory's lock file
# is actually locked.
testlock=/usr/bin/testlock
-# Set the plugin path. We allow the user to skip loading our
-# standard plugins via the MOZ_PLUGIN_PATH_OVERRIDE variable.
-if [ "${MOZ_PLUGIN_PATH_OVERRIDE+set}" = set ]; then
- MOZ_PLUGIN_PATH="$MOZ_PLUGIN_PATH_OVERRIDE"
-else
- # Append our plugin path to the user's setting (if any).
- MOZ_PLUGIN_PATH=${MOZ_PLUGIN_PATH:+"$MOZ_PLUGIN_PATH:"}$plugin_path
-fi
-export MOZ_PLUGIN_PATH
-
# Get the profile directory path, by parsing the profiles.ini file.
get_profdir () {
inifile="$prof_parent/profiles.ini"
@@ -125,11 +111,20 @@
fi
else
# Handle an old-style (symlink) lock.
- my_host=`hostname`
- if [ "$lock_ip" = "`host $my_host | awk '{ print $NF; }'`" ]; then
- # Lock is held on this machine.
- local=true
- fi
+ case "$lock_ip" in
+ 127.*)
+ if ! /usr/bin/fs whichcell "$locklink" > /dev/null 2>&1 ; then
+ local=true
+ fi
+ ;;
+ *)
+ my_host=`hostname`
+ if [ "$lock_ip" = "`host $my_host | awk '{ print $NF; }'`" ]; then
+ # Lock is held on this machine.
+ local=true
+ fi
+ ;;
+ esac
fi
if [ "$local" = true ]; then
@@ -146,9 +141,16 @@
else
# The lock is held by a process on another machine. Get its
# host name.
- lock_host=`host $lock_ip | \
- sed -n -e 's/^.*domain name pointer \(.*\)$/\1/p' | \
- sed -e 's/\.*$//' | tr '[A-Z]' '[a-z]'`
+ case "$lock_ip" in
+ 127.*)
+ lock_host="another machine"
+ ;;
+ *)
+ lock_host=`host $lock_ip | \
+ sed -n -e 's/^.*domain name pointer \(.*\)$/\1/p' | \
+ sed -e 's/\.*$//' | tr '[A-Z]' '[a-z]'`
+ ;;
+ esac
if [ -z "$lock_host" ]; then
lock_host="$lock_ip"
fi
@@ -197,17 +199,6 @@
EOF
fi
-# Attach needed lockers.
-for locker in $lockers ; do
- /bin/attach -h -n -q $locker
-done
-
-# Configure fontconfig to use fonts for MathML.
-if [ -z "$FONTCONFIG_FILE" ]; then
- FONTCONFIG_FILE=/mit/infoagents/share/fonts/fonts.conf
- export FONTCONFIG_FILE
-fi
-
# If this is the first time the user has run firefox, create
# the top-level profile directory now, so that we can set
# the ACL appropriately.